2018-12-11 06:51 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003980Thunderhawk[WHDLoad Installs Games] OCSpublic2018-11-24 15:11
Reporterwhdnewbie 
Assigned ToWeplProject InfoThunderhawk (Core Design)
http://www.whdload.de/games/Thunderhawk.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003980: WHDLoad installer for Thunderhawk does not work.
DescriptionWHDLoad installer for Thunderhawk does not work. The installer fails at track 148 on Disk 2.

- I replaced the RIPDIC v4.6 with the v5.0 I got from the WHDLoad site, but the result did not change.

- Either version of RAWDIC reported a failure at the end of the second disk (track 148) and stopped. However, some files were produced. I found this game in preloaded form and compared to what I downloaded from the internet, it looks like files were produced with correct sizes. I did not do content comparison between produced and downloaded files.

- Running the RAWDIC command manually from the shell did not report a failure.
Steps To Reproduce- Run the installer for Thunderhawk from whdload site.
- Run the game from hdd.

Expected: It reports success.

Actual: It reports failure at track 148 on disk 2.
Additional InformationAs a side note, even the preload version I got from the net does not run at all (it crashes). This might be a separate issue, but I wanted to mention it anyway.

Here are my findings about the issue:

- It looks like I have a different version than the regular release: What I have is the 'corkers' version which I believe is the cheaper release version.

- I tried various options like disabling CPU caches or disabling the accelerator (not physically removed) but the result is the same.

- I found one download that said "USA version" that came with IRP files. I used them as the source but the result did not change.

- I created the wwp files from the original disks I have and ran wwarp (v1.28 from whdload site) on them with the F option. It was unable to decode the tracks.

In addition to the wwp files, I do have a small video of what I see on the screen when the crash happens but the forum only allows attachment of 150K. How do I get these to the dev?
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.3
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0006453

Wepl (manager)

please send your wwarp files to wepl<at>whdload.de

note ~0006454

Wepl (manager)

Thanks, I got them.
Do you know if the game works when running from floppies? (i.e. if the disks are ok)

note ~0006455

retrogamer (reporter)

@Wepl is it possible to reduce chipmem use to 512KiB?

note ~0006456

whdnewbie (reporter)

Yes, the game works fine from the floppies. I did not test all the missions (i.e. I did not try to find out if there were problematic tracks on the disks) but it loads fine up to the HQ screen on disk 2. Then I started one of the scenarios and there were no problems, as well (it's just that I need to fix my joystick to be able to actually play the mission).

note ~0006463

Wepl (manager)

The game installs from the wwarps without an error here.
Also the installed game runs.
Maybe your floppy drive is in bad condition?
Try yourself the install from your wwarp files. You need to install http://whdload.de/whdload/TrackWarp17.lha for that.

note ~0006464

Wepl (manager)

@retrogamer: If I remember right there were access faults, to avoid them to memory was increased. You may try attached Slave with reduced memory to 512K.

note ~0006468

whdnewbie (reporter)

I tried from the wwarp files. I again got the error at track 148, with the files produced at the destination folder. The game again failed to start with the exactly the same symptoms. I also tried with the 512K version of the slave but the results were the same.

Just for completeness, I ran the installer 6 times:

1- Normal boot options + regular slave and 512K slave
2- Disable CPU cache + regular slave and 512K slave
3- Disable CPU cache + original chipset + regular slave and 512K slave

When the game hangs, the floppy stops clicking. I do not know if it is of any significance but I am mentioning it just in case.

I attached a screenshot of what I am seeing. The garbled screen in snap3.jpg looks always the same in my experiments.

Let me know if I can do further debugging.

note ~0006474

whdnewbie (reporter)

Let me add couple more points:

1- I ran a memory diagnostic utility to check for possible memory errors but the test did not reveal any (checked both chip and fast ram).

2- The garbled screen in my previous note is the second screen I am getting. The first screen on startup shows normally. See attached picture to this note. Sorry for not making this clear in my previous messages.

note ~0006475

Wepl (manager)

There was an bug in the install script. Please try attached install package. It should install with an error now.

note ~0006480

whdnewbie (reporter)

With the new package, it installed without an error. The game still doesn't run, though: I see the first screen, then the garbled second screen and that's it. Could you provide any hints as to how I could debug why I can't get the HD-installed version to run?

note ~0006494

Wepl (manager)

Do you have other whdload-games running or is this the only one?

note ~0006503

whdnewbie (reporter)

This was the first game I tried since I just got the originals. Do you have something particular in mind that you would like me to try? Maybe you could suggest a reliable site that I can download a couple preload games and give it a try...

Another note: I found a preload of this game online and comparing the hashes of the files from your installer and the preload, I see that the game files are correctly produced. The only difference between these two environments is the slave file.

Also I would like to ask whether FastRAM is required to run whdload games (from whdload perspective, I understand some games may require FastRAM themselves). I am running a memtest again, this time with the very long option and it's taking a looooooong time just to test the ChipRAM (it's been couple weeks and it's still running). If this test succeeds, I will retry with the ChipRAM alone by physically removing the accelerator card (I already had tried disabling it and it did not help). Of course, if whdload requires at least some FastRAM, this experiment will be moot, hence my question to figure this issue out in advance.

One more question if you don't mind: Would the amount of FastRAM effect the results? I see this installer was tested with 16MB of FastRAM. I have 128MB FastRAM installed. Do you think I should try to get hold of a 16MB module and try that as well?

note ~0006504

Wepl (manager)

As you already noted the installed files are ok. So this seems not to be a problem with that game but a general problem with you machine/setup.
FastRAM is good to have for WHDLoad but if the game is started by WHDLoad than you have enough RAM for it.
Do you have correctly set your MaxTransfer/Mask for your disks? See http://whdload.de/docs/en/bugs.html

note ~0006508

whdnewbie (reporter)

Thank you for that link. It was the first one (I have a network card that I use for painless file transfers from/to Amiga). Disabling the network stack fixed the problem. I will keep the other points in mind if something else comes along.

Thank you for your efforts and assistance.
+Notes

-Issue History
Date Modified Username Field Change
2018-10-04 20:30 whdnewbie New Issue
2018-10-23 16:25 Wepl Assigned To => Wepl
2018-10-23 16:25 Wepl Status new => assigned
2018-10-23 16:26 Wepl Note Added: 0006453
2018-10-24 14:56 Wepl Note Added: 0006454
2018-10-24 16:21 retrogamer Note Added: 0006455
2018-10-24 22:43 whdnewbie Note Added: 0006456
2018-10-25 17:49 Wepl Note Added: 0006463
2018-10-25 17:53 Wepl File Added: thunderhawk.slave
2018-10-25 17:55 Wepl Note Added: 0006464
2018-10-26 20:05 whdnewbie File Added: snap3.jpg
2018-10-26 20:05 whdnewbie Note Added: 0006468
2018-10-28 23:21 whdnewbie File Added: snap2.jpg
2018-10-28 23:21 whdnewbie Note Added: 0006474
2018-10-30 13:23 Wepl File Added: Thunderhawk.lha
2018-10-30 13:24 Wepl Note Added: 0006475
2018-10-31 20:02 whdnewbie Note Added: 0006480
2018-11-16 16:09 Wepl Note Added: 0006494
2018-11-20 00:21 whdnewbie Note Added: 0006503
2018-11-20 18:24 Wepl Note Added: 0006504
2018-11-21 00:31 whdnewbie Note Added: 0006508
2018-11-24 15:11 Wepl Status assigned => closed
2018-11-24 15:11 Wepl Resolution open => fixed
+Issue History